<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::applicationUtilities::androidUtilities::test Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities.html">applicationUtilities</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities.html">androidUtilities</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::applicationUtilities::androidUtilities::test Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_buffer_queue_test.html">AndroidSLESBufferQueueTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html">AndroidSLESMicrophoneTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_object_test.html">AndroidSLESObjectTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_android_s_l_e_s_object.html">MockAndroidSLESObject</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_interface.html">MockInterface</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_interface_impl.html">MockInterfaceImpl</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a245eeb499eb0219ba08acdcf9ce75332"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a245eeb499eb0219ba08acdcf9ce75332">MockSlSimpleBufferQueue</a> = <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_interface_impl.html">MockInterfaceImpl</a>&lt; SLAndroidSimpleBufferQueueItf_ &gt;</td></tr>
<tr class="separator:a245eeb499eb0219ba08acdcf9ce75332"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a8ec2803226ea520a02f084b07eab0c0b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a8ec2803226ea520a02f084b07eab0c0b">TEST</a> (AndroidLoggerTest, test_sanityTestOk)</td></tr>
<tr class="memdesc:a8ec2803226ea520a02f084b07eab0c0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test a valid log entry.  <a href="#a8ec2803226ea520a02f084b07eab0c0b">More...</a><br /></td></tr>
<tr class="separator:a8ec2803226ea520a02f084b07eab0c0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcba26c759918b74219988d8afcaffb3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#afcba26c759918b74219988d8afcaffb3">TEST</a> (AndroidLoggerTest, test_sanityTestNullThreadMoniker)</td></tr>
<tr class="memdesc:afcba26c759918b74219988d8afcaffb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test a log entry with null threadMoniker.  <a href="#afcba26c759918b74219988d8afcaffb3">More...</a><br /></td></tr>
<tr class="separator:afcba26c759918b74219988d8afcaffb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12162ab751a4ca2dc92966a5df2f3808"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a12162ab751a4ca2dc92966a5df2f3808">TEST</a> (AndroidLoggerTest, test_sanityTestNullText)</td></tr>
<tr class="memdesc:a12162ab751a4ca2dc92966a5df2f3808"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test a log entry with null text.  <a href="#a12162ab751a4ca2dc92966a5df2f3808">More...</a><br /></td></tr>
<tr class="separator:a12162ab751a4ca2dc92966a5df2f3808"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a755979254475c4fb6b9046e0c56ae4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a0a755979254475c4fb6b9046e0c56ae4">TEST</a> (AndroidLoggerTest, test_sanityTestLevels)</td></tr>
<tr class="memdesc:a0a755979254475c4fb6b9046e0c56ae4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test all levels.  <a href="#a0a755979254475c4fb6b9046e0c56ae4">More...</a><br /></td></tr>
<tr class="separator:a0a755979254475c4fb6b9046e0c56ae4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3acce17c46b68f757866808d3f4c434"><td class="memItemLeft" align="right" valign="top">static SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#ac3acce17c46b68f757866808d3f4c434">mockRegisterCallbackOk</a> (SLAndroidSimpleBufferQueueItf self, slAndroidSimpleBufferQueueCallback callback, void *pCallbackContext)</td></tr>
<tr class="separator:ac3acce17c46b68f757866808d3f4c434"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab89afb5422a0bae50611e07d344a6386"><td class="memItemLeft" align="right" valign="top">static SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#ab89afb5422a0bae50611e07d344a6386">mockRegisterCallbackFailure</a> (SLAndroidSimpleBufferQueueItf self, slAndroidSimpleBufferQueueCallback callback, void *pCallbackContext)</td></tr>
<tr class="separator:ab89afb5422a0bae50611e07d344a6386"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad01c06d7508dcef8af1647e4fe42060b"><td class="memItemLeft" align="right" valign="top">static SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#ad01c06d7508dcef8af1647e4fe42060b">mockClear</a> (SLAndroidSimpleBufferQueueItf self)</td></tr>
<tr class="separator:ad01c06d7508dcef8af1647e4fe42060b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5b6684398afae025f9d7a3520c60ea5"><td class="memItemLeft" align="right" valign="top">SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#ad5b6684398afae025f9d7a3520c60ea5">mockEnqueue</a> (SLAndroidSimpleBufferQueueItf self, const void *pBuffer, SLuint32 size)</td></tr>
<tr class="separator:ad5b6684398afae025f9d7a3520c60ea5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad73492cdccbd3aa8ee27917f64a543d1"><td class="memItemLeft" align="right" valign="top">SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#ad73492cdccbd3aa8ee27917f64a543d1">mockEnqueueFailed</a> (SLAndroidSimpleBufferQueueItf self, const void *pBuffer, SLuint32 size)</td></tr>
<tr class="separator:ad73492cdccbd3aa8ee27917f64a543d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65d78c4ee789fd7b694375618baafc94"><td class="memItemLeft" align="right" valign="top">SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a65d78c4ee789fd7b694375618baafc94">mockEnqueueHalf</a> (SLAndroidSimpleBufferQueueItf self, const void *pBuffer, SLuint32 size)</td></tr>
<tr class="separator:a65d78c4ee789fd7b694375618baafc94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abec4d4671c565c85efad8b708e488a43"><td class="memItemLeft" align="right" valign="top">SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#abec4d4671c565c85efad8b708e488a43">mockGetState</a> (SLAndroidSimpleBufferQueueItf self, SLAndroidSimpleBufferQueueState *pState)</td></tr>
<tr class="separator:abec4d4671c565c85efad8b708e488a43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6dd0c275f83204e1dd5d3a815ab301d9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a6dd0c275f83204e1dd5d3a815ab301d9">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_buffer_queue_test.html">AndroidSLESBufferQueueTest</a>, test_registerCallbackSucceeded)</td></tr>
<tr class="separator:a6dd0c275f83204e1dd5d3a815ab301d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26d61d559356aa7498913394fedf17ad"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a26d61d559356aa7498913394fedf17ad">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_buffer_queue_test.html">AndroidSLESBufferQueueTest</a>, test_registerCallbackFailed)</td></tr>
<tr class="separator:a26d61d559356aa7498913394fedf17ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7d85a43ea41358b431cdf18071d6ea9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#ac7d85a43ea41358b431cdf18071d6ea9">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_buffer_queue_test.html">AndroidSLESBufferQueueTest</a>, test_enqueueOK)</td></tr>
<tr class="separator:ac7d85a43ea41358b431cdf18071d6ea9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae79e3d5eff7231cd9d555d667f561a2e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#ae79e3d5eff7231cd9d555d667f561a2e">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_buffer_queue_test.html">AndroidSLESBufferQueueTest</a>, test_enqueueFailed)</td></tr>
<tr class="separator:ae79e3d5eff7231cd9d555d667f561a2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2485c020117cd46992ace06eaedd149"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#ad2485c020117cd46992ace06eaedd149">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_buffer_queue_test.html">AndroidSLESBufferQueueTest</a>, test_enqueuePartial)</td></tr>
<tr class="separator:ad2485c020117cd46992ace06eaedd149"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae00cb298b9e55731f9c106b35988ae8d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#ae00cb298b9e55731f9c106b35988ae8d">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_buffer_queue_test.html">AndroidSLESBufferQueueTest</a>, test_onBufferCompleted)</td></tr>
<tr class="separator:ae00cb298b9e55731f9c106b35988ae8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad40e1e92ef5f02a8033338bfd06693ab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#ad40e1e92ef5f02a8033338bfd06693ab">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html">AndroidSLESMicrophoneTest</a>, test_startRecording)</td></tr>
<tr class="separator:ad40e1e92ef5f02a8033338bfd06693ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee51b950efefde9f960d59bb3937f58e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#aee51b950efefde9f960d59bb3937f58e">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html">AndroidSLESMicrophoneTest</a>, test_pauseRecording)</td></tr>
<tr class="separator:aee51b950efefde9f960d59bb3937f58e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9fbd1352870811e2a6ad8adb3c1464c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#ae9fbd1352870811e2a6ad8adb3c1464c">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html">AndroidSLESMicrophoneTest</a>, test_unPauseRecording)</td></tr>
<tr class="separator:ae9fbd1352870811e2a6ad8adb3c1464c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a657d914d94a3bb2692c79d2bb910241c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a657d914d94a3bb2692c79d2bb910241c">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html">AndroidSLESMicrophoneTest</a>, test_longRecording)</td></tr>
<tr class="separator:a657d914d94a3bb2692c79d2bb910241c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fc6cf6128f882c557e3a2e9866a8830"><td class="memItemLeft" align="right" valign="top">SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a4fc6cf6128f882c557e3a2e9866a8830">mockRealizeSucceed</a> (SLObjectItf self, SLboolean async)</td></tr>
<tr class="memdesc:a4fc6cf6128f882c557e3a2e9866a8830"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock realize that succeeds.  <a href="#a4fc6cf6128f882c557e3a2e9866a8830">More...</a><br /></td></tr>
<tr class="separator:a4fc6cf6128f882c557e3a2e9866a8830"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04e60b2deb970c605cf5e922ed10824e"><td class="memItemLeft" align="right" valign="top">SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a04e60b2deb970c605cf5e922ed10824e">mockRealizeFail</a> (SLObjectItf self, SLboolean async)</td></tr>
<tr class="memdesc:a04e60b2deb970c605cf5e922ed10824e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock realize that fails.  <a href="#a04e60b2deb970c605cf5e922ed10824e">More...</a><br /></td></tr>
<tr class="separator:a04e60b2deb970c605cf5e922ed10824e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a65aca131ba75242259c42396b3ad5c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a8a65aca131ba75242259c42396b3ad5c">mockDestroy</a> (SLObjectItf self)</td></tr>
<tr class="memdesc:a8a65aca131ba75242259c42396b3ad5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock destroy and keep track that the method was called once.  <a href="#a8a65aca131ba75242259c42396b3ad5c">More...</a><br /></td></tr>
<tr class="separator:a8a65aca131ba75242259c42396b3ad5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a528bcb388a7005c458e24ef5da87fcb8"><td class="memItemLeft" align="right" valign="top">SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a528bcb388a7005c458e24ef5da87fcb8">mockGetInterface</a> (SLObjectItf self, const SLInterfaceID iid, void *pInterface)</td></tr>
<tr class="memdesc:a528bcb388a7005c458e24ef5da87fcb8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock get interface.  <a href="#a528bcb388a7005c458e24ef5da87fcb8">More...</a><br /></td></tr>
<tr class="separator:a528bcb388a7005c458e24ef5da87fcb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1269008437acbaee8c6785d1f674cb85"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a1269008437acbaee8c6785d1f674cb85">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_object_test.html">AndroidSLESObjectTest</a>, test_createDestroySucceed)</td></tr>
<tr class="separator:a1269008437acbaee8c6785d1f674cb85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6678f35c3ea5eff6ca8855101139aa40"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a6678f35c3ea5eff6ca8855101139aa40">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_object_test.html">AndroidSLESObjectTest</a>, test_createFailed)</td></tr>
<tr class="separator:a6678f35c3ea5eff6ca8855101139aa40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7084f532f0e3b414e4462082c99079b8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a7084f532f0e3b414e4462082c99079b8">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_object_test.html">AndroidSLESObjectTest</a>, test_getInterface)</td></tr>
<tr class="separator:a7084f532f0e3b414e4462082c99079b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a205e7f2bc23851411d6abf4b72424c96"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a205e7f2bc23851411d6abf4b72424c96">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_object_test.html">AndroidSLESObjectTest</a>, test_getInterfaceFailed)</td></tr>
<tr class="separator:a205e7f2bc23851411d6abf4b72424c96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4caad209778354141bc5141e45428fc6"><td class="memItemLeft" align="right" valign="top">SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a4caad209778354141bc5141e45428fc6">realizeSucceed</a> (SLObjectItf self, SLboolean async)</td></tr>
<tr class="separator:a4caad209778354141bc5141e45428fc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aceca1c3fa744c9b73c6bd9bd6fb53300"><td class="memItemLeft" align="right" valign="top">SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#aceca1c3fa744c9b73c6bd9bd6fb53300">realizeFailed</a> (SLObjectItf self, SLboolean async)</td></tr>
<tr class="separator:aceca1c3fa744c9b73c6bd9bd6fb53300"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a3d43df97f399131bc8922ee6260978"><td class="memItemLeft" align="right" valign="top">SLresult&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a7a3d43df97f399131bc8922ee6260978">getMockInterface</a> (SLObjectItf self, SLInterfaceID id, void *interface)</td></tr>
<tr class="separator:a7a3d43df97f399131bc8922ee6260978"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:aa3e40944f5694d96e1f7e422f4085719"><td class="memItemLeft" align="right" valign="top">static constexpr size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#aa3e40944f5694d96e1f7e422f4085719">SAMPLE_RATE_HZ</a> {16000}</td></tr>
<tr class="memdesc:aa3e40944f5694d96e1f7e422f4085719"><td class="mdescLeft">&#160;</td><td class="mdescRight">The sample rate of microphone audio data.  <a href="#aa3e40944f5694d96e1f7e422f4085719">More...</a><br /></td></tr>
<tr class="separator:aa3e40944f5694d96e1f7e422f4085719"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a526d4b0811ea23f46cbcc9da95101b64"><td class="memItemLeft" align="right" valign="top">static constexpr std::chrono::seconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a526d4b0811ea23f46cbcc9da95101b64">AMOUNT_OF_AUDIO_DATA_IN_BUFFER</a> {10}</td></tr>
<tr class="memdesc:a526d4b0811ea23f46cbcc9da95101b64"><td class="mdescLeft">&#160;</td><td class="mdescRight">The amount of audio data to keep in the ring buffer.  <a href="#a526d4b0811ea23f46cbcc9da95101b64">More...</a><br /></td></tr>
<tr class="separator:a526d4b0811ea23f46cbcc9da95101b64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fc1f6c44493cdeb85fed46caab4f571"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a7fc1f6c44493cdeb85fed46caab4f571">NUMBER_OF_BUFFERS</a> = AndroidSLESBufferQueue::NUMBER_OF_BUFFERS</td></tr>
<tr class="separator:a7fc1f6c44493cdeb85fed46caab4f571"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af838d8c2c18ca56447481b1f7f3aec52"><td class="memItemLeft" align="right" valign="top">static constexpr size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#af838d8c2c18ca56447481b1f7f3aec52">SDS_BUFFER_SIZE</a> = (<a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#aa3e40944f5694d96e1f7e422f4085719">SAMPLE_RATE_HZ</a>)*AMOUNT_OF_AUDIO_DATA_IN_BUFFER.count()</td></tr>
<tr class="memdesc:af838d8c2c18ca56447481b1f7f3aec52"><td class="mdescLeft">&#160;</td><td class="mdescRight">The size of the ring buffer.  <a href="#af838d8c2c18ca56447481b1f7f3aec52">More...</a><br /></td></tr>
<tr class="separator:af838d8c2c18ca56447481b1f7f3aec52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3e40944f5694d96e1f7e422f4085719"><td class="memItemLeft" align="right" valign="top">static constexpr size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#aa3e40944f5694d96e1f7e422f4085719">SAMPLE_RATE_HZ</a> {16000}</td></tr>
<tr class="memdesc:aa3e40944f5694d96e1f7e422f4085719"><td class="mdescLeft">&#160;</td><td class="mdescRight">The sample rate of microphone audio data.  <a href="#aa3e40944f5694d96e1f7e422f4085719">More...</a><br /></td></tr>
<tr class="separator:aa3e40944f5694d96e1f7e422f4085719"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a526d4b0811ea23f46cbcc9da95101b64"><td class="memItemLeft" align="right" valign="top">static constexpr std::chrono::seconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a526d4b0811ea23f46cbcc9da95101b64">AMOUNT_OF_AUDIO_DATA_IN_BUFFER</a> {10}</td></tr>
<tr class="memdesc:a526d4b0811ea23f46cbcc9da95101b64"><td class="mdescLeft">&#160;</td><td class="mdescRight">The amount of audio data to keep in the ring buffer.  <a href="#a526d4b0811ea23f46cbcc9da95101b64">More...</a><br /></td></tr>
<tr class="separator:a526d4b0811ea23f46cbcc9da95101b64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af838d8c2c18ca56447481b1f7f3aec52"><td class="memItemLeft" align="right" valign="top">static constexpr size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#af838d8c2c18ca56447481b1f7f3aec52">SDS_BUFFER_SIZE</a> = (<a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#aa3e40944f5694d96e1f7e422f4085719">SAMPLE_RATE_HZ</a>)*AMOUNT_OF_AUDIO_DATA_IN_BUFFER.count()</td></tr>
<tr class="memdesc:af838d8c2c18ca56447481b1f7f3aec52"><td class="mdescLeft">&#160;</td><td class="mdescRight">The size of the ring buffer.  <a href="#af838d8c2c18ca56447481b1f7f3aec52">More...</a><br /></td></tr>
<tr class="separator:af838d8c2c18ca56447481b1f7f3aec52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c6cde531b85c7fb8e6629ef0c2f5a27"><td class="memItemLeft" align="right" valign="top">static constexpr std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a6c6cde531b85c7fb8e6629ef0c2f5a27">TIMEOUT</a> {1100}</td></tr>
<tr class="memdesc:a6c6cde531b85c7fb8e6629ef0c2f5a27"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reader timeout.  <a href="#a6c6cde531b85c7fb8e6629ef0c2f5a27">More...</a><br /></td></tr>
<tr class="separator:a6c6cde531b85c7fb8e6629ef0c2f5a27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd5a880ec38faf29b4f8199fc464bcb0"><td class="memItemLeft" align="right" valign="top">static constexpr size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#afd5a880ec38faf29b4f8199fc464bcb0">TEST_BUFFER_SIZE</a> {4096u}</td></tr>
<tr class="memdesc:afd5a880ec38faf29b4f8199fc464bcb0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The size of reader buffer is one page long.  <a href="#afd5a880ec38faf29b4f8199fc464bcb0">More...</a><br /></td></tr>
<tr class="separator:afd5a880ec38faf29b4f8199fc464bcb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdab8cd219034cb11dceb54b9df9dfd9"><td class="memItemLeft" align="right" valign="top">static std::unordered_map&lt; SLInterfaceID, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_interface.html">MockInterface</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#acdab8cd219034cb11dceb54b9df9dfd9">g_interfaces</a></td></tr>
<tr class="separator:acdab8cd219034cb11dceb54b9df9dfd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a245eeb499eb0219ba08acdcf9ce75332"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a245eeb499eb0219ba08acdcf9ce75332">&#9670;&nbsp;</a></span>MockSlSimpleBufferQueue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#a245eeb499eb0219ba08acdcf9ce75332">alexaClientSDK::applicationUtilities::androidUtilities::test::MockSlSimpleBufferQueue</a> = typedef <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_interface_impl.html">MockInterfaceImpl</a>&lt;SLAndroidSimpleBufferQueueItf_&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a7a3d43df97f399131bc8922ee6260978"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a3d43df97f399131bc8922ee6260978">&#9670;&nbsp;</a></span>getMockInterface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SLresult alexaClientSDK::applicationUtilities::androidUtilities::test::getMockInterface </td>
          <td>(</td>
          <td class="paramtype">SLObjectItf&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SLInterfaceID&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>interface</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad01c06d7508dcef8af1647e4fe42060b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad01c06d7508dcef8af1647e4fe42060b">&#9670;&nbsp;</a></span>mockClear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static SLresult alexaClientSDK::applicationUtilities::androidUtilities::test::mockClear </td>
          <td>(</td>
          <td class="paramtype">SLAndroidSimpleBufferQueueItf&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8a65aca131ba75242259c42396b3ad5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a65aca131ba75242259c42396b3ad5c">&#9670;&nbsp;</a></span>mockDestroy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::applicationUtilities::androidUtilities::test::mockDestroy </td>
          <td>(</td>
          <td class="paramtype">SLObjectItf&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mock destroy and keep track that the method was called once. </p>

</div>
</div>
<a id="ad5b6684398afae025f9d7a3520c60ea5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5b6684398afae025f9d7a3520c60ea5">&#9670;&nbsp;</a></span>mockEnqueue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SLresult alexaClientSDK::applicationUtilities::androidUtilities::test::mockEnqueue </td>
          <td>(</td>
          <td class="paramtype">SLAndroidSimpleBufferQueueItf&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>pBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SLuint32&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Mock enqueue success.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>ignored. </td></tr>
    <tr><td class="paramname">pBuffer</td><td>ignored. </td></tr>
    <tr><td class="paramname">size</td><td>ignored. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>SL_RESULT_SUCCESS. </dd></dl>

</div>
</div>
<a id="ad73492cdccbd3aa8ee27917f64a543d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad73492cdccbd3aa8ee27917f64a543d1">&#9670;&nbsp;</a></span>mockEnqueueFailed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SLresult alexaClientSDK::applicationUtilities::androidUtilities::test::mockEnqueueFailed </td>
          <td>(</td>
          <td class="paramtype">SLAndroidSimpleBufferQueueItf&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>pBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SLuint32&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Mock enqueue failure.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>ignored. </td></tr>
    <tr><td class="paramname">pBuffer</td><td>ignored. </td></tr>
    <tr><td class="paramname">size</td><td>ignored. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Internal error. </dd></dl>

</div>
</div>
<a id="a65d78c4ee789fd7b694375618baafc94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65d78c4ee789fd7b694375618baafc94">&#9670;&nbsp;</a></span>mockEnqueueHalf()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SLresult alexaClientSDK::applicationUtilities::androidUtilities::test::mockEnqueueHalf </td>
          <td>(</td>
          <td class="paramtype">SLAndroidSimpleBufferQueueItf&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>pBuffer</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SLuint32&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Mock partial enqueue.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">self</td><td>ignored. </td></tr>
    <tr><td class="paramname">pBuffer</td><td>ignored. </td></tr>
    <tr><td class="paramname">size</td><td>ignored. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Success for half of the buffers, and false after. </dd></dl>

</div>
</div>
<a id="a528bcb388a7005c458e24ef5da87fcb8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a528bcb388a7005c458e24ef5da87fcb8">&#9670;&nbsp;</a></span>mockGetInterface()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SLresult alexaClientSDK::applicationUtilities::androidUtilities::test::mockGetInterface </td>
          <td>(</td>
          <td class="paramtype">SLObjectItf&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SLInterfaceID&#160;</td>
          <td class="paramname"><em>iid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pInterface</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mock get interface. </p>

</div>
</div>
<a id="abec4d4671c565c85efad8b708e488a43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abec4d4671c565c85efad8b708e488a43">&#9670;&nbsp;</a></span>mockGetState()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SLresult alexaClientSDK::applicationUtilities::androidUtilities::test::mockGetState </td>
          <td>(</td>
          <td class="paramtype">SLAndroidSimpleBufferQueueItf&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SLAndroidSimpleBufferQueueState *&#160;</td>
          <td class="paramname"><em>pState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a04e60b2deb970c605cf5e922ed10824e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04e60b2deb970c605cf5e922ed10824e">&#9670;&nbsp;</a></span>mockRealizeFail()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SLresult alexaClientSDK::applicationUtilities::androidUtilities::test::mockRealizeFail </td>
          <td>(</td>
          <td class="paramtype">SLObjectItf&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SLboolean&#160;</td>
          <td class="paramname"><em>async</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mock realize that fails. </p>

</div>
</div>
<a id="a4fc6cf6128f882c557e3a2e9866a8830"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fc6cf6128f882c557e3a2e9866a8830">&#9670;&nbsp;</a></span>mockRealizeSucceed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SLresult alexaClientSDK::applicationUtilities::androidUtilities::test::mockRealizeSucceed </td>
          <td>(</td>
          <td class="paramtype">SLObjectItf&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SLboolean&#160;</td>
          <td class="paramname"><em>async</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mock realize that succeeds. </p>

</div>
</div>
<a id="ab89afb5422a0bae50611e07d344a6386"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab89afb5422a0bae50611e07d344a6386">&#9670;&nbsp;</a></span>mockRegisterCallbackFailure()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static SLresult alexaClientSDK::applicationUtilities::androidUtilities::test::mockRegisterCallbackFailure </td>
          <td>(</td>
          <td class="paramtype">SLAndroidSimpleBufferQueueItf&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">slAndroidSimpleBufferQueueCallback&#160;</td>
          <td class="paramname"><em>callback</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pCallbackContext</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac3acce17c46b68f757866808d3f4c434"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3acce17c46b68f757866808d3f4c434">&#9670;&nbsp;</a></span>mockRegisterCallbackOk()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static SLresult alexaClientSDK::applicationUtilities::androidUtilities::test::mockRegisterCallbackOk </td>
          <td>(</td>
          <td class="paramtype">SLAndroidSimpleBufferQueueItf&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">slAndroidSimpleBufferQueueCallback&#160;</td>
          <td class="paramname"><em>callback</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>pCallbackContext</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aceca1c3fa744c9b73c6bd9bd6fb53300"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aceca1c3fa744c9b73c6bd9bd6fb53300">&#9670;&nbsp;</a></span>realizeFailed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SLresult alexaClientSDK::applicationUtilities::androidUtilities::test::realizeFailed </td>
          <td>(</td>
          <td class="paramtype">SLObjectItf&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SLboolean&#160;</td>
          <td class="paramname"><em>async</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4caad209778354141bc5141e45428fc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4caad209778354141bc5141e45428fc6">&#9670;&nbsp;</a></span>realizeSucceed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SLresult alexaClientSDK::applicationUtilities::androidUtilities::test::realizeSucceed </td>
          <td>(</td>
          <td class="paramtype">SLObjectItf&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SLboolean&#160;</td>
          <td class="paramname"><em>async</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8ec2803226ea520a02f084b07eab0c0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ec2803226ea520a02f084b07eab0c0b">&#9670;&nbsp;</a></span>TEST() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST </td>
          <td>(</td>
          <td class="paramtype">AndroidLoggerTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_sanityTestOk&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test a valid log entry. </p>

</div>
</div>
<a id="afcba26c759918b74219988d8afcaffb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcba26c759918b74219988d8afcaffb3">&#9670;&nbsp;</a></span>TEST() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST </td>
          <td>(</td>
          <td class="paramtype">AndroidLoggerTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_sanityTestNullThreadMoniker&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test a log entry with null threadMoniker. </p>

</div>
</div>
<a id="a12162ab751a4ca2dc92966a5df2f3808"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12162ab751a4ca2dc92966a5df2f3808">&#9670;&nbsp;</a></span>TEST() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST </td>
          <td>(</td>
          <td class="paramtype">AndroidLoggerTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_sanityTestNullText&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test a log entry with null text. </p>

</div>
</div>
<a id="a0a755979254475c4fb6b9046e0c56ae4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a755979254475c4fb6b9046e0c56ae4">&#9670;&nbsp;</a></span>TEST() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST </td>
          <td>(</td>
          <td class="paramtype">AndroidLoggerTest&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_sanityTestLevels&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test all levels. </p>

</div>
</div>
<a id="a1269008437acbaee8c6785d1f674cb85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1269008437acbaee8c6785d1f674cb85">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[1/14]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_object_test.html">AndroidSLESObjectTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_createDestroySucceed&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test create method when the provided object can be realized. </p>

</div>
</div>
<a id="ad40e1e92ef5f02a8033338bfd06693ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad40e1e92ef5f02a8033338bfd06693ab">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[2/14]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html">AndroidSLESMicrophoneTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_startRecording&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test if recording works. </p>

</div>
</div>
<a id="aee51b950efefde9f960d59bb3937f58e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee51b950efefde9f960d59bb3937f58e">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[3/14]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html">AndroidSLESMicrophoneTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_pauseRecording&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test if the stopStreamingMicrophoneData will stop writing to the buffer. </p>

</div>
</div>
<a id="a6678f35c3ea5eff6ca8855101139aa40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6678f35c3ea5eff6ca8855101139aa40">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[4/14]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_object_test.html">AndroidSLESObjectTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_createFailed&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test create method when the provided object cannot be realized. </p>

</div>
</div>
<a id="ae9fbd1352870811e2a6ad8adb3c1464c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9fbd1352870811e2a6ad8adb3c1464c">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[5/14]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html">AndroidSLESMicrophoneTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_unPauseRecording&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test if recording works after mute / unmute. </p>

</div>
</div>
<a id="a7084f532f0e3b414e4462082c99079b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7084f532f0e3b414e4462082c99079b8">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[6/14]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_object_test.html">AndroidSLESObjectTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_getInterface&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test get interface when method succeeds. </p>

</div>
</div>
<a id="a657d914d94a3bb2692c79d2bb910241c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a657d914d94a3bb2692c79d2bb910241c">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[7/14]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html">AndroidSLESMicrophoneTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_longRecording&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test recording for a full iteration on the buffer circular queue. </p>

</div>
</div>
<a id="a205e7f2bc23851411d6abf4b72424c96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a205e7f2bc23851411d6abf4b72424c96">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[8/14]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_object_test.html">AndroidSLESObjectTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_getInterfaceFailed&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test get interface when method fails. </p>

</div>
</div>
<a id="a6dd0c275f83204e1dd5d3a815ab301d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6dd0c275f83204e1dd5d3a815ab301d9">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[9/14]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_buffer_queue_test.html">AndroidSLESBufferQueueTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_registerCallbackSucceeded&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test successful creation. </p>

</div>
</div>
<a id="a26d61d559356aa7498913394fedf17ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26d61d559356aa7498913394fedf17ad">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[10/14]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_buffer_queue_test.html">AndroidSLESBufferQueueTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_registerCallbackFailed&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test the callback register failure. </p>

</div>
</div>
<a id="ac7d85a43ea41358b431cdf18071d6ea9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7d85a43ea41358b431cdf18071d6ea9">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[11/14]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_buffer_queue_test.html">AndroidSLESBufferQueueTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_enqueueOK&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test enqueue succeeded. </p>

</div>
</div>
<a id="ae79e3d5eff7231cd9d555d667f561a2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae79e3d5eff7231cd9d555d667f561a2e">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[12/14]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_buffer_queue_test.html">AndroidSLESBufferQueueTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_enqueueFailed&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test enqueue failed. </p>

</div>
</div>
<a id="ad2485c020117cd46992ace06eaedd149"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2485c020117cd46992ace06eaedd149">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[13/14]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_buffer_queue_test.html">AndroidSLESBufferQueueTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_enqueuePartial&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test enqueue succeeded to enqueue a few buffers. </p>

</div>
</div>
<a id="ae00cb298b9e55731f9c106b35988ae8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae00cb298b9e55731f9c106b35988ae8d">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[14/14]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::applicationUtilities::androidUtilities::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_buffer_queue_test.html">AndroidSLESBufferQueueTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_onBufferCompleted&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test onBufferCompleted. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a526d4b0811ea23f46cbcc9da95101b64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a526d4b0811ea23f46cbcc9da95101b64">&#9670;&nbsp;</a></span>AMOUNT_OF_AUDIO_DATA_IN_BUFFER <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr std::chrono::seconds alexaClientSDK::applicationUtilities::androidUtilities::test::AMOUNT_OF_AUDIO_DATA_IN_BUFFER {10}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The amount of audio data to keep in the ring buffer. </p>

</div>
</div>
<a id="a526d4b0811ea23f46cbcc9da95101b64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a526d4b0811ea23f46cbcc9da95101b64">&#9670;&nbsp;</a></span>AMOUNT_OF_AUDIO_DATA_IN_BUFFER <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr std::chrono::seconds alexaClientSDK::applicationUtilities::androidUtilities::test::AMOUNT_OF_AUDIO_DATA_IN_BUFFER {10}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The amount of audio data to keep in the ring buffer. </p>

</div>
</div>
<a id="acdab8cd219034cb11dceb54b9df9dfd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdab8cd219034cb11dceb54b9df9dfd9">&#9670;&nbsp;</a></span>g_interfaces</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt;SLInterfaceID, std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_mock_interface.html">MockInterface</a>&gt; &gt; alexaClientSDK::applicationUtilities::androidUtilities::test::g_interfaces</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7fc1f6c44493cdeb85fed46caab4f571"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fc1f6c44493cdeb85fed46caab4f571">&#9670;&nbsp;</a></span>NUMBER_OF_BUFFERS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const auto alexaClientSDK::applicationUtilities::androidUtilities::test::NUMBER_OF_BUFFERS = AndroidSLESBufferQueue::NUMBER_OF_BUFFERS</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">The number of buffers used by the <code><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_buffer_queue.html">AndroidSLESBufferQueue</a></code> object. Redefine it here because of the ODR (one definition rule) use by EXPECT. </p>

</div>
</div>
<a id="aa3e40944f5694d96e1f7e422f4085719"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3e40944f5694d96e1f7e422f4085719">&#9670;&nbsp;</a></span>SAMPLE_RATE_HZ <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr size_t alexaClientSDK::applicationUtilities::androidUtilities::test::SAMPLE_RATE_HZ {16000}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The sample rate of microphone audio data. </p>

</div>
</div>
<a id="aa3e40944f5694d96e1f7e422f4085719"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3e40944f5694d96e1f7e422f4085719">&#9670;&nbsp;</a></span>SAMPLE_RATE_HZ <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr size_t alexaClientSDK::applicationUtilities::androidUtilities::test::SAMPLE_RATE_HZ {16000}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The sample rate of microphone audio data. </p>

</div>
</div>
<a id="af838d8c2c18ca56447481b1f7f3aec52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af838d8c2c18ca56447481b1f7f3aec52">&#9670;&nbsp;</a></span>SDS_BUFFER_SIZE <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr size_t alexaClientSDK::applicationUtilities::androidUtilities::test::SDS_BUFFER_SIZE = (<a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#aa3e40944f5694d96e1f7e422f4085719">SAMPLE_RATE_HZ</a>)*AMOUNT_OF_AUDIO_DATA_IN_BUFFER.count()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The size of the ring buffer. </p>

</div>
</div>
<a id="af838d8c2c18ca56447481b1f7f3aec52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af838d8c2c18ca56447481b1f7f3aec52">&#9670;&nbsp;</a></span>SDS_BUFFER_SIZE <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr size_t alexaClientSDK::applicationUtilities::androidUtilities::test::SDS_BUFFER_SIZE = (<a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#aa3e40944f5694d96e1f7e422f4085719">SAMPLE_RATE_HZ</a>)*AMOUNT_OF_AUDIO_DATA_IN_BUFFER.count()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The size of the ring buffer. </p>

</div>
</div>
<a id="afd5a880ec38faf29b4f8199fc464bcb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd5a880ec38faf29b4f8199fc464bcb0">&#9670;&nbsp;</a></span>TEST_BUFFER_SIZE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr size_t alexaClientSDK::applicationUtilities::androidUtilities::test::TEST_BUFFER_SIZE {4096u}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The size of reader buffer is one page long. </p>

</div>
</div>
<a id="a6c6cde531b85c7fb8e6629ef0c2f5a27"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c6cde531b85c7fb8e6629ef0c2f5a27">&#9670;&nbsp;</a></span>TIMEOUT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr std::chrono::milliseconds alexaClientSDK::applicationUtilities::androidUtilities::test::TIMEOUT {1100}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reader timeout. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
